hxt-9.3.1.22: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2005 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.XML.HXT.Arrow.DTDProcessing

Description

DTD processing function for including external parts of a DTD parameter entity substitution and general entity substitution

Implemtation completely done with arrows

Synopsis

- processDTD :: IOStateArrow s XmlTree XmlTree

# Documentation

processDTD :: IOStateArrow s XmlTree XmlTree Source #

a filter for DTD processing

inclusion of external parts of DTD, parameter entity substitution conditional section evaluation

input tree must represent a complete document including root node